{% extends 'common/modal-form.html' %}
{% load i18n medux crispy_forms_tags %}

{% block title %}{% blocktranslate %}Submit {{ month_name }} {{ year }}{% endblocktranslate %}{% endblock %}

{% block body %}
  <p>
    {% blocktranslate %}Please confirm that you want to submit the following data for {{ month_name }} {{ year }}:{% endblocktranslate %}
  </p>
  <div class="alert alert-warning">
    {% blocktranslate %}After submitting, times for this month cannot be changed anymore.{% endblocktranslate %}
  </div>
  <table class="table">
    <tr>
      <th>{% translate 'Target hours' %}</th>
      <td>{{ object.time_targeted|as_hours }}</td>
    </tr>
    <tr>
      <th>{% translate 'Worked hours' %}</th>
      <td>{{ object.time_worked|as_hours }}</td>
    </tr>
    {% if time_delta %}
      <tr>
        <th>
          {% if time_delta > 0 %}
            {% translate 'Time credit' %}
          {% elif time_delta < 0 %}
            {% translate 'Missing hours' %}
          {% endif %}
        </th>
        <td>
           {{ time_delta|prefix_plus }}
        </td>
      </tr>
    {% endif %}
      <tr>
        <th>{% translate 'Time account (current balance)' %}</th>
        <td>
          {{ time_account_balance|prefix_plus|default:0 }}
        </td>
      </tr>
  </table>

  {% crispy form %}

{% endblock %}


{% block submit-button %}
  <button hx-post="{{ request.path }}" class="btn btn-primary" type="submit" title="{% translate 'Submit' %}">
    <i class="bi bi-check-lg"></i>
    {% translate 'Submit' %}
  </button>
{% endblock %}